package ${domain}.module.wsys.req;

import ${domain}.frame.base.BaseFindRequest;

import java.util.Date;

/**
 * UserRoleFindRequest -  用户角色授权查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class UserRoleFindRequest extends BaseFindRequest {

    /**
     * 用户主键
     */
    private Long userId;

    /**
     * 用户代码
     */
    private String userCode;

    /**
     * 角色主键
     */
    private Long roleId;

    /**
     * 角色代码
     */
    private String roleCode;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserCode() {
        return this.userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public Long getRoleId() {
        return this.roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleCode() {
        return this.roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
